Loading...
Searching...
No Matches
FilePoller::FilePollerFileEventInfo Struct Reference

FilePoller file event hash. More...

## Public Attributes

date | atime
| The last accessed date/time of the file.
int | blksize
| Block size.
int | blocks
| Blocks allocated for the file.
date | ctime
| The created date/time of the file.
int | dev
| The device inode number the file is on.
string | filepath
| The entire path of the file.
int | gid
| The GID of the owner of the file.
int | inode
| The inode of the file.
*string | link
| symbolic link target (if present)
int | mode
| The file protection mode.
date | mtime
| The last modified date/time of the file.
string | name
| The name of the file, link, or directory.
int | nlink
| The number of hard links to this file.
string | perm
| a string giving UNIX-style permissions for the file (ex: "-rwxr-xr-x")
int | rdev
| The device type number.
int | size
| The size of the file in bytes.
string | type
| the type of file
int | uid
| The UID of the owner of the file.

## Detailed Description

FilePoller file event hash.

## Member Data Documentation

## blksize

int FilePoller::FilePollerFileEventInfo::blksize

Block size.

may be zero if the platform's internal stat() (2) function does not provide this info

## blocks

int FilePoller::FilePollerFileEventInfo::blocks

Blocks allocated for the file.

may be zero if the platform's internal stat() (2) function does not provide this info

## mode

int FilePoller::FilePollerFileEventInfo::mode

The file protection mode.

A bitfield of file permissions

## type

string FilePoller::FilePollerFileEventInfo::type

the type of file

one of:

- `"REGULAR"`
- `"DIRECTORY"`
- `"SYMBOLIC-LINK"`
- `"BLOCK-DEVICE"`
- `"CHARACTER-DEVICE"`
- `"FIFO"`
- `"SYMBOLIC-LINK"`
- `"SOCKET"`
- `"UNKNOWN"`